Target API level requirements for Google Play apps

Starting August 31 2024:

  • New apps and app updates must target Android 14 (API level 34) to be submitted to Google Play (except for Wear OS and Android TV apps, which must target Android 13 or higher).
  • Existing apps must target Android 13 (API level 33) or higher to remain available to new users on devices running Android OS higher than your app’s target API level. Apps that target Android 12 (API level 31) or lower ( Android 10 or lower for Wear OS and Android 11 or lower for TV OS), will only be available on devices running Android OS that are the same or lower than your apps’ target API level.

You will be able to request an extension to November 1, 2024 if you need more time to update your app. You'll be able to access your app's extension forms in Play Console later this year.

Every new Android version introduces changes that enhance the user experience, security, and performance of the Android platform overall. Each app specifies a targetSdkVersion (also known as the target API level) in the manifest file. The target API level indicates how your app is meant to run on different Android versions.

Configuring your app to target a recent API level ensures that users benefit from security, privacy, and performance improvements, while still allowing an app to run on older Android versions (down to the specified minSdkVersion).

To provide Android and Google Play users with a safe experience, Google Play requires all apps to meet target API level requirements listed below.

Exceptions to these requirements include the following:

  • Permanently private apps that are restricted to users in a specific organization and intended for internal distribution only.
  • Apps that target Android Automotive OS or are packaged with APKs targeting Android Automotive OS.

Definitions

New app An app that is not yet published on Google Play (that is, a brand new app).
Existing app An app that is published on Google Play.
App update A new version of the app that you’re submitting for review to replace your existing app.

App update requirements

Android OS version
(API level)

When are new app and app update submissions required to target this API level?
New apps App updates

Android 14 (API level 34)*

August 31, 2024

August 31, 2024

Android 13 (API level 33)

August 31, 2023

August 31, 2023

*Developers will be able to request an extension to November 1.

Tip: For technical guidance on how to change your app’s target API level to meet these requirements, refer to the migration guide.

Wear OS app requirements

Android OS version (API level)

When are Wear OS app submissions required to target this API level?
New apps App updates
Android 13 (API level 33) or higher August 31, 2024 August 31, 2024
Android 11 (API level 30) or higher August 31, 2023 August 31, 2023

Android TV app requirements

Android OS version (API level)

When are Android TV app submissions required to target this API level?
New apps App updates
Android 13 (API level 33) or higher August 31, 2024 August 31, 2024

App availability requirements

Currently, existing apps (across mobile and Android Auto) must target Android 13 (API level 33) or higher by August 31st, 2024 (Android 11 (API level 30) or higher for Wear OS) and (Android 12 (API level 32) or higher for Android TV). Otherwise, they will stop being discoverable to all Google Play users whose devices run Android OS versions newer than your app’s target API level, as your app wasn’t built to meet the safety and quality standard that these users expect from newer Android OS versions.

  • Apps with a target level of Android 12 (API level 31)* or lower will not be available to new users running an Android OS higher than the apps’ target API after August 31, 2024.
  • Apps with a target level of Android 11 (API level 30) or lower have not been available to new users running the Android OS higher than apps’ target API after November 1, 2023.

*Developers will be able to request an extension to November 1, 2024. You'll be able to access your app's extension forms in Play Console later this year.


What to do to comply

New apps

Existing apps

When you publish a new app, you must target Android 14 (API level 34) or higher.

If your existing app’s target Android 13 (API level 33) or higher, then your app is compliant with this policy.

If your existing app’s target is lower than Android 13 (API level 33), it will stop being available to all new users whose devices run Android OS versions higher than your apps’ target API levels, as your app wasn’t built to meet the safety and quality standard that these users expect from newer Android OS versions.

  • If you plan to update this app to a higher target API level, you can submit an extension request to continue getting distributed to all users on Google Play until November 1, 2024. Impacted apps will receive extension request form link via Play Console Inbox message.
When you update your app, you must target API 34 or higher.


Wear OS app requirements

New apps

Existing apps

When you publish a new Wear app, you must target Android 13 (API level 33) or higher.

If your existing Wear app’s target Android 11 (API level 30), then your app is compliant with this policy.

If your existing app’s target is Android 10 (API level 29) or Lower, it will stop being available to all Google Play users whose devices run Android OS versions newer than your apps’ target API level, as your app wasn’t built to meet the safety and quality standard that these users expect from newer Android OS versions.

  • If you plan to update this app to target Android 13 (API level 33) or higher, you can submit an extension request to continue getting distributed to all users on Google Play until Nov 1, 2024. Impacted apps will receive extension request form link in their Play Console Inbox message.
When you update your app, you must target Android 13 (API level 33) or higher.

 

Android TV requirements

New apps

Existing apps

When you publish a new Wear app, you must target Android 13 (API level 33) or higher.

If your existing Android TV app’s target Android 12 (API level 31), then your app is compliant with this policy.

If your existing app’s target is Android 11 (API level 30) or Lower, it will stop being available to all Google Play users whose devices run Android OS versions newer than your apps’ target API level, as your app wasn’t built to meet the safety and quality standard that these users expect from newer Android OS versions.

  • If you plan to update this app to target Android 13 (API level 33) or higher, you can submit an extension request to continue getting distributed to all users on Google Play until Nov 1, 2024. Impacted apps will receive extension request form link in their Play Console Inbox message.
When you update your app, you must target Android 13 (API level 33) or higher.

Frequently asked questions

For apps targeting API 31 or below

I have a live app on Google Play that targets API 31 or lower (for Wear OS, app targeting API 29 or lower), that I do not plan to update. What are my options?

If you want to continue to serve this app to your existing users, you do not need to do anything. However, your app will not be available in Google Play store to new users on devices running Android OS newer than what your app targets. It will be available only to Play users with devices running Android OS with API level of your app or lower.

If you plan to update your app to a higher target API and need more time beyond August 31 2024, you may request an extension to continue distributing to all Google Play users until November 1 2024. An extension form will be available later this year in Play Console.

If you want to stop serving your app to new users even on older devices, you can unpublish your app.

Where can I find the extension form to continue distributing to all Google Play users until November 1, 2024?

Only apps that are not compliant with the policy will receive policy warnings and inbox messages in Play Console. The extension form is available through the details page of the warning or issue on the Policy status page in Play Console.

I have apps that I no longer want published on Google Play. What can I do?

Please refer to this Help Center article for instructions on how to unpublish your app.

How will my users who already downloaded my app previously be impacted?

Users who have previously installed the app from Google Play will not be impacted and will still be able to discover, reinstall, and use the app on any Android OS version that your app supports.

Will this update impact app downloads?

It may impact your app download levels if new users on devices with newer Android OS versions cannot discover or download your app from Google Play.

What will the user experience be if a user on a newer device visits a deep link to the app store page, but the app is targeting API 31 or lower?

Google Play will inform the user that "this app is not available to install on their device because it was made for an older version of Android." The low-fidelity mock below help you visualize how this will look to Google Play users.

Are there any exceptions for existing apps targeting API 30 or below?

Yes. We provide exceptions for permanently private apps that are restricted to users in a specific organization and intended for internal distribution only and apps that target Android Automotive OS form factor are also exempted.

Was this helpful?

How can we improve it?
Search
Clear search
Close search
Google apps
Main menu